Bug 1024934 - 1PC can cause a window of inconsistency with L1 invalidation
1PC can cause a window of inconsistency with L1 invalidation
Status: VERIFIED
Product: JBoss Data Grid 6
Classification: JBoss
Component: unspecified (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity high
: ER4
: 6.2.0
Assigned To: Tristan Tarrant
Martin Gencur
:
Depends On:
Blocks: 1017190
  Show dependency treegraph
 
Reported: 2013-10-30 11:28 EDT by Martin Gencur
Modified: 2013-12-10 06:30 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker ISPN-3518 Critical Resolved 1PC can cause a window of inconsistency with L1 invalidation 2013-12-10 08:39:15 EST

  None (edit)
Description Martin Gencur 2013-10-30 11:28:32 EDT

    
Comment 2 JBoss JIRA Server 2013-11-05 09:36:04 EST
William Burns <wburns@redhat.com> updated the status of jira ISPN-3518 to Coding In Progress
Comment 3 JBoss JIRA Server 2013-12-10 05:30:30 EST
Radim Vansa <rvansa@redhat.com> made a comment on jira ISPN-3518

I know it's already fixed, but is it really a bug? The described scenario does not break the serializability property of the transactions - the outcome is the same as if tx2 was executed before tx1. Could you describe the scenario where it does break some expected property?

Note You need to log in before you can comment on or make changes to this bug.